Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.provider.soap.ssl
Class ServerProvider

    java.lang.Object
      mx4j.tools.remote.provider.soap.ssl.ServerProvider

All Implemented Interfaces:
  javax.management.remote.JMXConnectorServerProvider

public class ServerProvider
extends java.lang.Object
implements javax.management.remote.JMXConnectorServerProvider

Version:
  $Revision: 1.2 $

Constructor Summary
`ServerProvider()`

Method Summary
`javax.management.remote.JMXConnectorServer` | `newJMXConnectorServer(javax.management.remote.JMXServiceURL url, java.util.Map environment, javax.management.MBeanServer server)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerProvider

    public ServerProvider()

Method Detail

### newJMXConnectorServer

    public javax.management.remote.JMXConnectorServer newJMXConnectorServer(javax.management.remote.JMXServiceURL url,
                                                                            java.util.Map environment,
                                                                            javax.management.MBeanServer server)
                                                                     throws java.io.IOException

  Specified by:
    `newJMXConnectorServer` in interface `javax.management.remote.JMXConnectorServerProvider`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.